Package org.jCharts.properties

# Class PointChartProperties

java.lang.Object
org.jCharts.properties.ChartTypeProperties
org.jCharts.properties.AxisChartTypeProperties
org.jCharts.properties.PointChartProperties

All Implemented Interfaces:
  `HTMLTestable`

public final class PointChartProperties extends AxisChartTypeProperties

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Stroke`
`DEFAULT_POINT_BORDER_STROKE`
`private boolean[]`
`fillPointFlags`
`private Paint[]`
`outlinePaints`
`static final Shape`
`SHAPE_CIRCLE`
`static final Shape`
`SHAPE_DIAMOND`
`static final Shape`
`SHAPE_SQUARE`
`static final Shape`
`SHAPE_TRIANGLE`
`private Shape[]`
`shapes`

## Constructor Summary

Constructors
Constructor
Description
`PointChartProperties(Shape[] shapes, boolean[] fillPointFlags, Paint[] outlinePaints)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getFillPointsFlag(int index)`
`Paint`
`getPointOutlinePaints(int index)`
`Shape`
`getShape(int index)`
`void`
`toHTML(HTMLGenerator htmlGenerator)`
Enables the testing routines to display the contents of this Object.
`void`
`validate(IAxisPlotDataSet iAxisPlotDataSet)`
Validates the properties.

### Methods inherited from class org.jCharts.properties.AxisChartTypeProperties

`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_POINT_BORDER_STROKE

public static final Stroke DEFAULT_POINT_BORDER_STROKE

### SHAPE_SQUARE

public static final Shape SHAPE_SQUARE

### SHAPE_TRIANGLE

public static final Shape SHAPE_TRIANGLE

### SHAPE_CIRCLE

public static final Shape SHAPE_CIRCLE

### SHAPE_DIAMOND

public static final Shape SHAPE_DIAMOND

### shapes

private Shape[] shapes

### fillPointFlags

private boolean[] fillPointFlags

### outlinePaints

private Paint[] outlinePaints

## Constructor Details

### PointChartProperties

public PointChartProperties(Shape[] shapes, boolean[] fillPointFlags, Paint[] outlinePaints)
Constructor

Parameters:
  `shapes` - the Shapes to use for each DataSet drawn in this chart. There must be an one to one mapping of Shape objects and DataSets in the chart.
  `fillPointFlags` - flags indicating whether to fill the point Shapes or to only outline them using the Paint specified on the DataSet object. If this is set to TRUE, the 'outlinePaint' attribute can be used to outline the Shape.
  `outlinePaints` - Sets the outline Paint to use for each Shape in the chart. This Paint is only used if the 'setFillPointsFlag' is set to TRUE for the Shape.

## Method Details

### getFillPointsFlag

public boolean getFillPointsFlag(int index)

### getPointOutlinePaints

public Paint getPointOutlinePaints(int index)

Parameters:
  `index` -
Returns:
  Paint

### getShape

public Shape getShape(int index)

Parameters:
  `index` -
Returns:
  Shape

### toHTML

public void toHTML(HTMLGenerator htmlGenerator)
Enables the testing routines to display the contents of this Object.

Parameters:
  `htmlGenerator` -

### validate

public void validate(IAxisPlotDataSet iAxisPlotDataSet) throws PropertyException
Validates the properties.

Specified by:
  `validate` in class `AxisChartTypeProperties`
Parameters:
  `iAxisPlotDataSet` -
Throws:
  `PropertyException`